<?php

include('includes/hlava.php');
title('Klub priateľov fotografie', '');

if ($link) {
  if ($db_selected) {
  
include('includes/vedla.php');
odkaz('');
include('includes/menu.php');
menu('index','');
?>
        
        <div class="obsah">
<?php
  if(isset($_SESSION['login'])){
  echo '<p class="info">';
  $sql = "SELECT sum(H.body) AS bodky
          FROM kpf_photos P, kpf_hodnot H
          WHERE H.id=P.id AND P.aid='".$_SESSION['aid']."'";
  $result = mysql_query($sql, $link);
  if ($result) {  
    if ($row = mysql_fetch_assoc($result)) {
      if ($row['bodky'] < 1) $row['bodky'] = '0'; 
      echo '<a href="body.php">body '.$row['bodky'].'</a> | ';
    }
  }
  
  $sql = "SELECT count(P.id) AS fotky
          FROM kpf_photos P
          WHERE P.aid='".$_SESSION['aid']."'";
  $result = mysql_query($sql, $link);
  if ($result) {  
    if ($row = mysql_fetch_assoc($result)) {
      if ($row['fotky'] < 1) $row['fotky'] = '0'; 
      echo '<a href="author.php?id='.$_SESSION['aid'].'">fotky '.$row['fotky'].'</a> | ';
    }
  }

  $sql = "SELECT count(H.id) AS komenty
           FROM kpf_author A, kpf_hodnot H
           WHERE H.aid='".$_SESSION['aid']."'
           GROUP BY A.aid;";
  $result = mysql_query($sql, $link);
  if ($result) {  
    if ($row = mysql_fetch_assoc($result)) { 
      if ($row['komenty'] < 1) $row['komenty'] = '0';
      echo '<a href="komenty.php">komentáre '.$row['komenty'].'</a></p>';
    }
  }  
}
?>          
            <p>Klub priateľov fotografie, ktorý zastrešuje Stredoeurópsky dom fotografie v Bratislave, Vás víta na svojej oficiálnej internetovej stránke. Čo tu nájdete? Množstvo fotografií našich členov, aktuálne informácie klubových podujatí, informácie o fotografii, fotografovaní a fotografoch.</p>
            <p><b>Kontakt:</b> Mgr. Veronika Paštéková, <a href="mailto: pastekova [zavinac] sedf.sk">pastekova@sedf.sk</a></p>
<?php            

        		$sql = "SELECT N.news, UNIX_TIMESTAMP(N.kedy) AS 'dat'
                    FROM kpf_news N
                    ORDER BY kedy DESC
                    LIMIT 1;";
        		$result = mysql_query($sql, $link);
        		if ($result) {
          		  while ($row = mysql_fetch_assoc($result)) {
        		      //echo $row['kedy'];
        		      //echo '<p><b>'.date("d. m. Y", $row['dat']).', '.date("H:i", $row['dat']).'</b>';
        		      //echo '<br />';
                  //echo $row['news'];
                  //echo '<br /></p>';
                }
            }            
?>
            <hr />
            <h2>Najnovšie <em>fotografie</em></h2>
<?php

		$sql = "SELECT P.id, P.aid, P.foto, P.nazov
            FROM kpf_photos P
            ORDER BY pridane DESC
            LIMIT 5;";
		$result = mysql_query($sql, $link);
        		if ($result) {
        		  $pocet = mysql_num_rows($result);
        		  if ($pocet > 0) {        		   
          		  while ($row = mysql_fetch_assoc($result)) {
          		    $subor = 'photos/small/'.$row['foto'];
                  list($sirka, $vyska) = getimagesize($subor);
                  if ($sirka == '130') $c = 's';
                  else $c = 'v';
                  echo '      <p class="foto">';
                  echo '<span class="photos">';                  
                  echo "<a href='photo.php?id=".$row['id']."'>";    		    
                  echo "<img src='photos/small/".$row['foto']."' class='".$c."' alt='".$row['nazov']."' title='".$row['nazov']."' /></a></span>
        ";        
        
                  $sql2 = "SELECT sum(H.body) AS body
                           FROM kpf_hodnot H
                           WHERE H.id=".$row['id'].";";
            		  $result2 = mysql_query($sql2, $link);
            		  if ($result2) {
                    $row2 = mysql_fetch_assoc($result2);
                    if ($row2['body'] == '') $row2['body'] = '0';
                    echo '<a href="photo.php?id='.$row['id'].'&amp;kat='.$_GET['kat'].'&amp;aid='.$_GET['aid'].'">'.$row['nazov'].'</a> <em>('.$row2['body'].')</em><br/>';          
                  }                             
                                         
          
                  $sql2 = "SELECT A.meno, A.priezvisko
                          FROM kpf_author A
                          WHERE A.aid=".$row['aid'].";";
            		  $result2 = mysql_query($sql2, $link);
            		  if ($result2) {
                    $row2 = mysql_fetch_assoc($result2);
                    echo '<a href="author.php?id='.$row['aid'].'" class="fmeno">'.$row2['meno'].' '.$row2['priezvisko'].'</a></p>';
                  }
                 }
               } else {
                echo '<p><strong>Fotogaléria je prázdna.</strong></p>';
              }

        			mysql_free_result($result);
        		} else {
        			echo '<p style="color: #FF0000;">Chyba pri získavaní údajov z databázy - ' . mysql_errno($link) . ': ' . mysql_error($link) . '</p>';
        		}
            echo '
            ';
            echo '<h2>Náhodné <em>fotografie</em></h2>';
      
    $sql = "SELECT P.id, P.aid, P.foto, P.nazov
            FROM kpf_photos P
            ORDER BY RAND()
            LIMIT 5;";
		$result = mysql_query($sql, $link);
        		if ($result) {
        		  $pocet = mysql_num_rows($result);
        		  if ($pocet > 0) {        		    
          		  while ($row = mysql_fetch_assoc($result)) {    
          		    $subor = 'photos/small/'.$row['foto'];
                  list($sirka, $vyska) = getimagesize($subor);
                  if ($sirka > $vyska) $c = 's';
                  else $c = 'v';
                  echo '      <p class="foto">
        ';
                  echo '<span class="photos">';                  
                  echo "<a href='photo.php?id=".$row['id']."'>";    		    
                  echo "<img src='photos/small/".$row['foto']."' class='".$c."' alt='".$row['nazov']."' title='".$row['nazov']."' /></a></span>
        ";
                  $sql2 = "SELECT sum(H.body) AS body
                           FROM kpf_hodnot H
                           WHERE H.id=".$row['id'].";";
            		  $result2 = mysql_query($sql2, $link);
            		  if ($result2) {
                    $row2 = mysql_fetch_assoc($result2);
                    if ($row2['body'] == '') $row2['body'] = '0';
                    echo '<a href="photo.php?id='.$row['id'].'&amp;kat='.$_GET['kat'].'&amp;aid='.$_GET['aid'].'">'.$row['nazov'].'</a> <em>('.$row2['body'].')</em><br/>';          
                  }                             
                                         
          
                  $sql2 = "SELECT A.meno, A.priezvisko
                          FROM kpf_author A
                          WHERE A.aid=".$row['aid'].";";
            		  $result2 = mysql_query($sql2, $link);
            		  if ($result2) {
                    $row2 = mysql_fetch_assoc($result2);
                    echo '<a href="author.php?id='.$row['aid'].'" class="fmeno">'.$row2['meno'].' '.$row2['priezvisko'].'</a></p>';
                  }
                 }
               } else {
                echo '<p><strong>Nebolo nič hodnotené.</strong></p>';
              }
        			mysql_free_result($result);
        		} else {
        			echo '<p style="color: #FF0000;">Chyba pri získavaní údajov z databázy - ' . mysql_errno($link) . ': ' . mysql_error($link) . '</p>';
        		}      
 
	}
	mysql_close($link);
}
include('includes/pata.php'); 
?>